<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="LevelClassCriteria"    package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
                
        <TABLE  name="tl_level_class_criteria"  tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Importance"   type="Importance"   dbcol="weighting"   attribHelper="EnumeratedAttributeHelper"    mandatory="false"/> <!--Mandatory removed for newly added express data-->
            <ATTRIB name="FactorClass"  type="FactorClass"  dbcol="class_code"  attribHelper="EnumeratedAttributeHelper"    mandatory="true"/>
            
            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="LevelClassCriterias"/>
        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_level_class_criteria.object_id is not null" orderBy="tl_level_class_criteria.object_id" />
        
    </BUSINESSCLASS>
    
</ROOT>